gtk.gdk.DisplayManager
Prev | The gtk.gdk Class Reference | Next

## gtk.gdk.DisplayManager

gtk.gdk.DisplayManager — maintains a list of all open `gtk.gdk.Display` objects

## Synopsis

    class gtk.gdk.DisplayManager(gobject.GObject):
        def get_default_display()
        def set_default_display(display)
        def list_displays()

    Functions

        def gtk.gdk.display_manager_get()

## Ancestry

    +-- gobject.GObject
      +-- gtk.gdk.DisplayManager

## Properties

"default-display" | Read-Write | The default `gtk.gdk.Display`. Available in GTK+ 2.2 and above.

## Signal Prototypes

"display-opened" | `def callback(`displaymanager`, `display`, `user_param1`, `...`)`

## Description

### Note

This object is available in PyGTK 2.2 and above.

The `gtk.gdk.DisplayManager` is a singleton object that offers notification when displays appear or disappear or the default display changes. The global `gtk.gdk.DisplayManager` object is returned from the `gtk.gdk.display_manager_get`() function.

## Methods

### gtk.gdk.DisplayManager.get_default_display

        def get_default_display()

Returns : | a `gtk.gdk.Display`, or `None` if there is no default display.

### Note

This method is available in PyGTK 2.2 and above.

The `get_default_display`() method returns the default `gtk.gdk.Display`.

### gtk.gdk.DisplayManager.set_default_display

        def set_default_display(display)

`display` : | a `gtk.gdk.Display`

### Note

This method is available in PyGTK 2.2 and above.

The `set_default_display`() method sets the `gtk.gdk.Display` specified by `display` as the default display.

### gtk.gdk.DisplayManager.list_displays

        def list_displays()

Returns : | a list containing `gtk.gdk.Display` objects.

### Note

This method is available in PyGTK 2.2 and above.

The `list_displays`() method returns a list containing all currently open displays.

## Functions

### gtk.gdk.display_manager_get

        def gtk.gdk.display_manager_get()

Returns : | the singleton `gtk.gdk.DisplayManager` object.

### Note

This function is available in PyGTK 2.2 and above.

The `gtk.gdk.display_manager_get`() method returns the global `gtk.gdk.DisplayManager` singleton.

## Signals

### The "display-opened" gtk.gdk.DisplayManager Signal

        def callback(displaymanager, display, user_param1, ...)

`displaymanager` : | the displaymanager that received the signal
`display` : | the display that was opened
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.2 and above.

The "display-opened" signal is emitted when display is opened.

Prev | Up | Next
gtk.gdk.Display | Home | gtk.gdk.DragContext